## org.apache.cocoon.framework
Interface XObject

public interface XObject

This interface must be implemented by classes willing to provide an XML representation of their current state

Author:
  Ricardo Rocha

Method Summary
`void` `toDOM(org.w3c.dom.Node node)` Deprecated. Appends children representing the object's state to the given node
`void` `toSAX(org.xml.sax.DocumentHandler handler)` Deprecated. Generates SAX events representing the object's state for the given document handler

Method Detail

### toSAX

    public void toSAX(org.xml.sax.DocumentHandler handler)

  Deprecated.
  Generates SAX events representing the object's state for the given document handler

### toDOM

    public void toDOM(org.w3c.dom.Node node)

  Deprecated.
  Appends children representing the object's state to the given node

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.